<?php

namespace app\common\model;

use think\Model;


class ReleaseArticleModel Extends Model
{
    // 表名
    protected $name = 'release_article';

    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';
    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    // 追加属性
    protected $append = [
    ];


    public static function queryReleaseArticle($where,$field="*",$page=1,$pageSize=10,$order='createtime desc'){
        $list= self::where($where)->field($field)->order($order)->limit($pageSize)->page($page)->select();
        foreach ($list as $key=>$val){
            $list[$key]['content']=mb_substr_content($val['content'],550);
        }
        return $list;
    }
}
